<?php
/**
 * Single view event meta box
 *
 * Hooked into single_event_listing_start priority 20
 *
 * @since  1.14.0
 */

global $post;
do_action( 'single_event_listing_meta_before' );
?>
<section class="meta">
  
  <div class="col-md-12">
     
     <div class="event-title">
        <?php the_title();?>
     </div>    

      <?php do_action( 'single_event_listing_meta_start' ); ?>
        
        <div class="form-group meta-text" >	
            <?php if ( get_option( 'event_manager_enable_event_types' ) && count(get_event_type($post))>0 ) {  ?>	  
	        <span><?php display_event_type($post, ','); ?></span> 	
            <big>|</big>
            <?php } ?> 
            <?php if ( get_option( 'event_manager_enable_categories' ) && count(get_event_category($post))>0 ) {
            	?>
            	<span><?php display_event_category($post, ','); ?></span> 	
            	<big>|</big>
            <?php
            }?> 	    
	        <span><?php echo display_organizer_name() ?></span>	   
            <big>|</big>
            <span class="event-location" itemprop="eventLocation"><?php echo display_event_location(); ?></span>	
            <big>|</big>			     
            <span class="date-posted" itemprop="datePosted">
           	 <date><?php display_event_publish_date(); ?></date>
            </span>
            <?php if ( is_event_cancelled() ) : ?>
              <big>|</big>
              <span class="event-cancelled"  itemprop="eventCancelled"><?php _e( 'This event has been cancelled', 'wp-event-manager' ); ?></span>	               
            <?php elseif ( ! attendees_can_apply() && 'preview' !== $post->post_status ) : ?>		       
               <big>|</big>
		       <span class="listing-expired" itemprop="eventExpired"><?php _e( 'Registrations have closed', 'wp-event-manager' ); ?></span>
	        <?php endif; ?>
        </div>   

      <?php do_action( 'single_event_listing_meta_end' ); ?>
  </div>

 <div style="clear:both;"></div>
 
</section>

<?php do_action( 'single_event_listing_meta_after' ); ?>